OpenVDB 12.1.0

Loading...
Searching...
No Matches
RootNode< ChildType >::ValueConverter< OtherValueType > Struct Template Reference

ValueConverter<T>::Type is the type of a RootNode having the same child hierarchy as this node but a different value type, T. More...

`#include <openvdb/tree/RootNode.h>`

## Public Types
using | Type = RootNode<typename ChildType::template ValueConverter<OtherValueType>::Type>

## Detailed Description

template<typename ChildType>
template<typename OtherValueType>
struct openvdb::v12_1::tree::RootNode< ChildType >::ValueConverter< OtherValueType >

ValueConverter<T>::Type is the type of a RootNode having the same child hierarchy as this node but a different value type, T.

## Member Typedef Documentation

## ◆ Type

template<typename ChildType>
template<typename OtherValueType>

using Type = RootNode<typename ChildType::template ValueConverter<OtherValueType>::Type>